Deposits
此页面暂无中文版本,显示的是英文版本。
Create deposit method form
Use this method to create deposit method form.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*integer
The identifier of a deposit method.
Header Parameters
accept-language?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/my/deposit-methods/1/form" \ -H "accept-language: ja" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "36f59381-5b54-48bd-a0c7-3b908c476732", "type": "legacy", "form": null, "driver": "b2binpay", "amountRestriction": { "min": "1.5", "max": "9.0", "scale": null }, "legacyParams": { "hideAmount": null, "hideProceed": null, "description": null }, "legacyFields": null}{ "error": { "message": "Bad Request", "details": [ { "issue": "The selected value is invalid.", "field": "parameter" } ] }}{ "error": { "message": "Unauthorized" }}{ "error": { "message": "Not Found" }}{ "violations": { "missingFields": [ { "fieldName": "first_name", "fieldLabel": "First name" } ], "unsuitableFields": [ { "field": "first_name", "fieldName": "first_name", "fieldLabel": "First name", "reason": "min_length_1", "description": "Should be at least {{min}} characters long", "args": {} } ], "unsupportedCurrency": [ { "currencyCode": "USD" } ] }}{ "error": { "message": "Too Many Requests" }}{ "error": { "message": "Service Unavailable" }}